package com.dgtly.goods.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 商品分类列对象 goods_type
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public class GoodsType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 类型名称 */
    @Excel(name = "类型名称")
    private String name;
    /** 图片*/
    private String img;



    /** 父属性id */
    @Excel(name = "父属性id")
    private Long parentId;

    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String ancestors;

    /** 删除标记*/
    private String delFlag;

    /** 商品类型属性列表*/
    private List<GoodsTypeAttribute> goodsTypeAttributes;

    /** 商品类型属性名称列表*/
    private String attributeNames;


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setAncestors(String ancestors) 
    {
        this.ancestors = ancestors;
    }

    public String getAncestors() 
    {
        return ancestors;
    }

    public List<GoodsTypeAttribute> getGoodsTypeAttributes() {
        return goodsTypeAttributes;
    }

    public void setGoodsTypeAttributes(List<GoodsTypeAttribute> goodsTypeAttributes) {
        this.goodsTypeAttributes = goodsTypeAttributes;
    }
    public String getAttributeNames() {
        return attributeNames;
    }

    public void setAttributeNames(String attributeNames) {
        this.attributeNames = attributeNames;
    }
    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("parentId", getParentId())
            .append("ancestors", getAncestors())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
